# encoding: UTF-8
#
# Copyright (c) 2010-2016 GoodData Corporation. All rights reserved.
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

require 'gli'
require 'pathname'
require 'pp'

require_relative 'shared'
require_relative '../version'

module GoodData
  module GoodotCLI
    include GLI::App
    extend self

    def self.launch(args)
      exit run args
    end

    subcommand_option_handling :normal
    program_desc 'Toolset for helping with lifecycle management of the project'
  end
end

cmds = File.absolute_path(File.join(File.dirname(__FILE__), 'cmd'))
Dir.glob(cmds + '/*.rb').each do |file|
  require file
end

GoodData::GoodotCLI.launch(ARGV)
